var kg = {};
// 按比例调整图像大小，获取源图片大小，按比例缩小至指定大小，保证图片缩小不变形。该方法无需Jq支持
// 注意必须加一个外围容器指定同当前图片大小，并隐藏超出部分。img标签中须定义 width 和 height，此方法会自动获取该值
// @param object a：this
// @example：<img onload="mle.img_auto_size(this)" src="{:$p['picture'][1]:}" width="400" height="400" />
kg.img_auto_size = function (a) {
	// alert(a.src + "\r\n" + a.width + "\r\n" + a.height);
	if (!isNaN(a.width) && !isNaN(a.height)) { // 获取缩略图规格成功
		// 获取源图片实际规格
		var img = new Image();
		// img 标签中的 onload 事件不符合 W3C 标准，可能有部分浏览器不支持，
		// 这里使用 img.onload 事件很有必要，确保图片下载完毕以获取源图片实际规格
		img.onload = function () {
			if (!isNaN(img.width) && !isNaN(img.height)) { // 源图片规格获取成功
				var offset = 0; // 多余边缘偏移值初始化，单位：px
				var narrow_w = img.width / a.width; // 宽度需要缩小的倍数
				var narrow_h = img.height / a.height; // 高度需要缩小的倍数
				// 重新调整图片大小并浮动
				if (narrow_w <= narrow_h) {
					// 高度有超出，超出部分上下各隐藏 50%，保持图片中心点
					offset = 0 - Math.round((img.height / narrow_w - a.height) / 2);
					a.style.width = a.width + 'px'; // 固定宽度
					a.style.height = 'auto'; // 自动高度
					if (offset < 0) a.style.marginTop = offset + 'px'; // 高度有超出，超出部分上下各隐藏 50%
				} else {
					// 宽度有超出，超出部分左右各隐藏 50%，保持图片中心点
					offset = 0 - Math.round((img.width / narrow_h - a.width) / 2);
					a.style.width = 'auto'; // 自动宽度
					a.style.height = a.height + 'px'; // 固定高度
					if (offset < 0) a.style.marginLeft = offset + 'px'; // 高度有超出，超出部分上下各隐藏 50%              
				}
			}
		}
		img.src = a.src; // 要获取的源图片 URL
	}
};
$(function(){
	// 提示框1
	var $Tips = $('#Tips');
	$('#dialogs').on('click', '.weui-dialog__btn', function(){
		$(this).parents('.Tips').fadeOut(200);
	});
	$('.remove').on('click', function(){
		$Tips.fadeIn(200);
	});
	// 提示框2
	var $toast = $('#toast');
	$('.showToast').on('click', function(){
		if ($toast.css('display') != 'none') return;
		$toast.fadeIn(100);
		setTimeout(function () {
			$toast.fadeOut(100);
		}, 2000);
	});
});